Category: System Application Estimated time: 0.00 hour

Target version: Resource Provisioning   
Description

The file gcube-app.xml (located at tomcat/webapps/resource-registry/WEB-INF/) should be managed to allow to change

resource-registry identity.

In particular the file provided with war is the following:

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE xml>

<application mode='online'>

        <name>resource-registry</name>

        <group>InformationSystem</group>

        <version>1.4.0-4.5.0-148947</version>

        <description>Resource Registry</description>

        <local-persistence location='target' />

</application>

 The tag

<name>resource-registry</name>

 must became

<name>joint-resource-registry</name>

 IMHO it is easier use a sed replacement in original file than find a way to get the version (e.g. 1.4.0-4.5.0-148947) which is not known

when latest is used as maven coordinates for ansible playbook. Anyway I added the file (to be templated) in

library/roles/smartgears/resource_registry/templates/gcube-app.xml.j2

History

#1 - Oct 12, 2017 07:37 PM - Andrea Dell'Amico

- Status changed from New to In Progress

There's a role already present to setup the gcube-app.xml file, starting from a template: library/roles/smartgears/gcubeapp-setup

Let's use it, and let's find a way to configure the version name correctly.

#2 - Oct 12, 2017 07:51 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I changed the playbook configuration for the parthenos resource registry so that it will use the role listed above.

#3 - Oct 16, 2017 07:06 PM - Luca Frosini

Ok I'll test in the next days. Thank you

#4 - Nov 07, 2017 04:24 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
